<? if eq 1 1 '<script language="JavaScript">' '' ?>

<? if eq 1 1 '<? include ../html/js/jsl.js ?>'   '<script language="JavaScript" src="../html/js/jsl.js"></script>' ?>
<? if eq 1 1 '<? include ../html/js/error.js ?>' '<script language="JavaScript" src="../html/js/error.js"></script>' ?>
<? if eq 1 1 '<? include ../html/js/val.js ?>' '<script language="JavaScript" src="../html/js/val.js"></script>' ?>
<? if eq 1 1 '' '<script language="JavaScript">' ?>

<? include ../html/wireless/wireless_security.js ?>

function uiDoValidate(type)
{
	var message;

	if (type == 0)
	{
		var port = parseInt(document.getElementById("uiPostPort").value);

		message = valDoValidateIp(document.getElementById("uiPostServerIp").value);
	
		if(message!=null) 
		{
			alert ("Invalid IP Address");	
			return false;
		}

		if ((port < 0) || (port > 65535) || isNaN(port))
		{
			alert ("Port out of range.");
			return false;
		}

		if(document.getElementById("uiPostSecret").value.length == 0)
		{
			alert ("Invalid secret");
			return false;
		}
	}
	else if (type == 1)
	{
		if((document.getElementById("uiPostPskValue").value.length == 0) || 
			(document.getElementById("uiPostPskValue").value.length > 63))
		{
			alert ("Invalid PSK String. Maximum length is 63 characters");
			return false;
		}
	}
	
	if ((document.getElementById("uiPostGroupInterval").value.length == 0) || 
		 parseInt(document.getElementById("uiPostGroupInterval").value) < 0)
	{
		alert ("Invalid Group Interval");	
		return false;
	}
	alert ("Privacy type is set to WPA. Multiple SSID support will be disabled");	
	return true;
}

function uiDoOnLoad()
{
	jslSetValue("uiViewGroupInterval","uiPostGroupInterval");
	jslSetValue("uiViewServerIp","uiPostServerIp");
	jslSetValue("uiViewPort","uiPostPort");
	jslSetValue("uiViewSecret","uiPostSecret");

	var value = parseInt(document.getElementById("uiPostPskType").value);
	uiSelectPskType(value);
}

function uiDoSave()
{
	var type = document.getElementById("uiPostPskType").value;

	document.getElementById("uiPostPrivacyType").value = 1;
	jslSetValue("uiPostGroupInterval", "uiViewGroupInterval");

	if (type == 0)
	{
		jslEnable("uiPostServerIp");
		jslEnable("uiPostPort");
		jslEnable("uiPostSecret");
		
		jslSetValue("uiPostServerIp", "uiViewServerIp");
		jslSetValue("uiPostPort", "uiViewPort");
		jslSetValue("uiPostSecret", "uiViewSecret");
		jslDisable("uiPostPskValue");
	}
	else 
	{
		jslEnable("uiPostPskValue");
		jslDisable("uiPostServerIp");
		jslDisable("uiPostPort");
		jslDisable("uiPostSecret");

		if (type == 1)
			jslSetValue("uiPostPskValue", "uiViewPskStringValue");	
		else
		{
			jslDisable("uiPostPskValue");
			jslDisable("uiPostGroupInterval");
		}
	}

	if(uiDoValidate(type)==true) jslFormSubmit("uiPostForm");
	return;
}

function uiDoCancel()
{
  jslGoTo(null,"home");
}

function uiSelectPskType(value)
{
	if (value == 0)
	{
		jslDoToggleRadio("uiViewPskType",0, 2);
	}
	else if (value == 1)
	{
		jslDoToggleRadio("uiViewPskType", 1, 2);
		jslSetValue("uiViewPskStringValue", "uiPostPskValue");	
	}
	uiCheckWpaType(value);
}

function uiChangePskType (arg)
{
	document.getElementById("uiPostPskType").value = arg;
	uiCheckWpaType(arg);
}

function uiCheckWpaType(value)
{
	switch (value)
	{
		case 0: // 802.1x. TODO Grey out others.
 				doPsk8021x();
				break;
		case 1: //PSK String
 				doPskString();
				break;
		default:
				doNone();
				break;
	}
}

function doPsk8021x( )
{
	jslEnable("uiViewServerIp");
	jslEnable("uiViewPort");
	jslEnable("uiViewSecret");
	jslEnable("uiViewGroupInterval");
	jslDisable("uiViewPskStringValue");
}

function doPskString( )
{
	jslEnable("uiViewPskStringValue");
	jslEnable("uiViewGroupInterval");
	jslDisable("uiViewServerIp");
	jslDisable("uiViewPort");
	jslDisable("uiViewSecret");
}

function doNone( )
{
	jslDisable("uiViewPskStringValue");
	jslDisable("uiViewServerIp");
	jslDisable("uiViewPort");
	jslDisable("uiViewSecret");
	jslDisable("uiViewGroupInterval");
}

</script>
