
#define MAXLENG 80

static inline void save_ipcache(char *ipaddr, char *cache_file)
{
   FILE *outfile;  
   outfile = fopen(cache_file,"w");
   if (outfile == NULL) {
     printf("can't write to file: %s\n", cache_file);
     return;
   }
   fputs(ipaddr, outfile);
   fclose(outfile);
}

static inline int check_ipcache(char *newip, char *cache_file)
{
   char str[MAXLENG+1];
   char ipaddr[MAXLENG+1];
   FILE *infile;
   int isthesame;

   ipaddr[0] = '\0';
 
   if ((infile = fopen(cache_file,"r")) == NULL) {
     return 1;
   }
   else {
     fgets(str, MAXLENG, infile);
     strcat(ipaddr, str);
     fclose(infile);
   }
   isthesame = strcmp(ipaddr, newip);
   if (isthesame) {
     return 1;
   } else {
     return 0;
   }
}
